﻿$ErrorActionPreference = 'Stop'

$packageName = 'conan'
$url32       = 'https://github.com/conan-io/conan/releases/download/1.28.0/conan-win-32_1_28_0.exe'
$url64       = 'https://github.com/conan-io/conan/releases/download/1.28.0/conan-win-64_1_28_0.exe'
$checksum32  = 'fa4a92ee23a2d324647499e39f2a3154888bcf57211e498bb38d8eb56fa06629'
$checksum64  = '2a3931dc738d8b381c679535da9de5132ffe4b8bf1f399323ae4af1202c9e570'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/VERYSILENT'
  validExitCodes = @(0)
}
Install-ChocolateyPackage @packageArgs
